Accounts APIAccounts
List of accounts
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Query Parameters
limit?integer
Number of items to return per page (max 100).
Default
25Range
1 <= value <= 100page?integer
Page index for pagination.
Default
1Range
1 <= valuecurrency[]?array<>
Filter by Currency.
active?boolean
Filter by Active.
Header Parameters
X-Volt-Api-Version*integer
Version of the API used. Currently, version 1 is the only version.
Value in
1Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://accounts.sandbox.volt.io/accounts" \ -H "X-Volt-Api-Version: 1"[
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"currency": "EUR",
"identifications": [
{
"iban": "PL61109010140000071219812874",
"swiftBic": "WBKPPLPP"
}
],
"name": "string",
"active": true,
"status": "ACTIVE",
"country": "DE",
"balance": {
"available": 0,
"timestamp": "2019-08-24T14:15:22Z"
},
"type": "VOLT_ACCOUNT",
"subType": "BUSINESS",
"accountHolder": {
"entityId": "40bb9716-fb00-484e-b4a2-eb3a220b3906",
"legalName": "string"
}
}
]{
"code": "BAD_REQUEST",
"message": "string"
}{
"code": "UNAUTHORISED",
"message": "string"
}{
"code": "ACCESS_DENIED",
"message": "string"
}{
"code": "METHOD_NOT_SUPPORTED",
"message": "string"
}{
"code": "MEDIA_TYPE_NOT_ACCEPTABLE",
"message": "string"
}{
"code": "UNSUPPORTED_MEDIA_TYPE",
"message": "string"
}{
"code": "VALIDATION_FAILURE",
"message": "string",
"errors": [
{
"type": "TOO_FEW",
"propertyPath": "string",
"message": "string"
}
]
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "string"
}